const config = require('../../config');
const providers = config.providers;
const crypto = require('crypto');
const bcrypt = require('bcrypt');
const moment = require('moment');

module.exports = function(sequelize, DataTypes) {
  const interest_rates = sequelize.define(
    'interest_rates',
    {
      id: {
        type: DataTypes.UUID,
        defaultValue: DataTypes.UUIDV4,
        primaryKey: true,
      },

code: {
        type: DataTypes.TEXT,

      },

name: {
        type: DataTypes.TEXT,

      },

rate: {
        type: DataTypes.DECIMAL,

      },

commission_rate: {
        type: DataTypes.DECIMAL,

      },

interval: {
        type: DataTypes.INTEGER,

      },

sort: {
        type: DataTypes.INTEGER,

      },

css: {
        type: DataTypes.TEXT,

      },

setting: {
        type: DataTypes.TEXT,

      },

      importHash: {
        type: DataTypes.STRING(255),
        allowNull: true,
        unique: true,
      },
    },
    {
      timestamps: true,
      paranoid: true,
      freezeTableName: true,
    },
  );

  interest_rates.associate = (db) => {

    db.interest_rates.belongsTo(db.users, {
      as: 'createdBy',
    });

    db.interest_rates.belongsTo(db.users, {
      as: 'updatedBy',
    });
  };

  return interest_rates;
};

